#------------------------------------------------------------------------------
# Main Wcb package module.
#
# Copyright (c) 1999  Csaba Nemethi (E-mail: csaba.nemethi@t-online.de)
#------------------------------------------------------------------------------

package require Tcl 8
package require Tk  8

namespace eval wcb {
    #
    # Public variables:
    #
    variable version	2.0
    variable library	[file dirname [info script]]

    #
    # Basic procedures:
    #
    namespace export	callback cbappend cbprepend cancel canceled \
			extend replace

    #
    # Utility procedures for entry widgets:
    #
    namespace export	changeEntryText postInsertEntryLen postInsertEntryText

    #
    # Simple before-insert callback routines for entry widgets:
    #
    namespace export	checkStrForAlpha checkStrForNum checkStrForAlnum \
			convStrToUpper convStrToLower

    #
    # Further before-insert callback routines for entry widgets:
    #
    namespace export	checkEntryForInt  checkEntryForUInt \
			checkEntryForReal checkEntryForFixed \
			checkEntryLen

    #
    # Simple before-insert callback routines for text widgets:
    #
    namespace export	checkStrsForAlpha checkStrsForNum checkStrsForAlnum \
			convStrsToUpper convStrsToLower
}

package provide Wcb $wcb::version
package provide wcb $wcb::version

lappend auto_path [file join $wcb::library scripts]
